Bug 1005521 - [abrt] kernel BUG at fs/jbd2/transaction.c:1154!
[abrt] kernel BUG at fs/jbd2/transaction.c:1154!
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: fs-maint
Fedora Extras Quality Assurance
abrt_hash:6ceee7882c6fa5db6552cbf0d44...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-07 20:23 EDT by johan
Modified: 2013-10-08 12:06 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 12:06:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description johan 2013-09-07 20:23:02 EDT
Description of problem:
While running 'e4defrag -v /dev/md0' on an array I noticed  'EXT4_IOC_MOVE_EXT operation not supported' failures on some files (Drive has been converted to ext4 long ago. Files probably precede conversion).
I tried to touch those files with chattr +e <long_dir_name>/* while e4defrag was still running on another (virtual) terminal.
This segfaulted on me. (The system is partially functioning but not allowing me to copy/paste the segfault details dumped there.)
I will retype the call stack, forgive me for ommitting the hex numbers I have to switch screens (virtual terminal) too see them.
RIP: jbd2_journal_dirty_metadata
Callstack:
__ext4_handle_dirty_super
? ext4_reserve_inode_write
ext4_orphan_add
ext4_ext_migrate
? jbd2_journal_get_write_access
ext4_ioctl
do_vfs_ioctl
? file_has_perm
SyS_ioctl
system_call_fastpath

fedora 19 running kernel 3.10.10-200.fc19.x86_64 #1
relevant (I think) kernel modules: (not tainted) sata_promise raid456 async6_recov raid6_pq async_xor async_tx xor
/dev/md0 is a raid5 array of 6 disks each 1GB in size

Hope this helps finding the BUG for others. I just assume a restart will do (this is the first occurence).
(I now see that the callstack etc. is in de attachments. Nice)

Additional info:
reporter:       libreport-2.1.6
kernel BUG at fs/jbd2/transaction.c:1154!
invalid opcode: 0000 [#1] SMP 
Modules linked in: tcp_lp fuse nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_nat nf_nat_ipv6 ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables rfcomm ip6table_filter ip6_tables bnep raid456 async_raid6_recov async_memcpy async_pq raid6_pq async_xor xor async_tx iTCO_wdt iTCO_vendor_support acpi_cpufreq mperf coretemp kvm_intel kvm microcode serio_raw snd_hda_codec_hdmi i2c_i801 snd_hda_codec_realtek snd_hda_intel snd_hda_codec usb_storage snd_hwdep snd_seq snd_seq_device snd_pcm btusb bluetooth snd_page_alloc lpc_ich snd_timer snd e1000 soundcore mfd_core rfkill asus_atk0110 uinput i915 video i2c_algo_bit drm_kms_helper drm sata_promise i2c_core
CPU: 1 PID: 8679 Comm: chattr Not tainted 3.10.10-200.fc19.x86_64 #1
Hardware name: System manufacturer P5E-V HDMI/P5E-V HDMI, BIOS 0504    06/19/2008
task: ffff880219f5cc40 ti: ffff880161bb4000 task.ti: ffff880161bb4000
RIP: 0010:[<ffffffff8125db35>]  [<ffffffff8125db35>] jbd2_journal_dirty_metadata+0x235/0x2b0
RSP: 0018:ffff880161bb5cd0  EFLAGS: 00010246
RAX: 0000000000000000 RBX: ffff8801d3fc41b8 RCX: ffff880222f12400
RDX: ffff8801d3fc41b8 RSI: 0000000000000000 RDI: ffff880217c6a6e8
RBP: ffff880161bb5d08 R08: e010000000000000 R09: 02030ff270080000
R10: fddef08e53f49c02 R11: 0000000000000000 R12: ffff880217c6a6e8
R13: ffff8800c2071a00 R14: ffff8800c1eea620 R15: ffff880219e60000
FS:  00007f674d601740(0000) GS:ffff88022fc80000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000003042e32d90 CR3: 00000001f45a6000 CR4: 00000000000007e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Stack:
 ffff8802030ff270 ffff880161bb5d10 ffff8801d3fc41b8 ffff880217c6a6e8
 ffffffff81824360 00000000000009fa 0000000000000000 ffff880161bb5d40
 ffffffff81244f1b ffffffff8121c3c0 ffff880217e7c0b0 ffff880222f12400
Call Trace:
 [<ffffffff81244f1b>] __ext4_handle_dirty_super+0x5b/0x90
 [<ffffffff8121c3c0>] ? ext4_reserve_inode_write+0x70/0xa0
 [<ffffffff8122620a>] ext4_orphan_add+0x17a/0x1d0
 [<ffffffff8124565d>] ext4_ext_migrate+0x11d/0x730
 [<ffffffff8125d692>] ? jbd2_journal_get_write_access+0x32/0x40
 [<ffffffff812214d3>] ext4_ioctl+0x8b3/0xf20
 [<ffffffff811a9a25>] do_vfs_ioctl+0x305/0x520
 [<ffffffff8128b22e>] ? file_has_perm+0x8e/0xa0
 [<ffffffff811a9cc1>] SyS_ioctl+0x81/0xa0
 [<ffffffff81647c59>] system_call_fastpath+0x16/0x1b
Code: 00 00 89 04 24 4d 89 e9 48 c7 c7 90 74 a0 81 31 c0 4c 89 55 d0 e8 a6 78 3d 00 4c 8b 55 d0 b8 ea ff ff ff 4d 89 d4 e9 78 fe ff ff <0f> 0b f3 90 49 8b 04 24 a9 00 00 40 00 75 f3 e9 02 fe ff ff 45 
RIP  [<ffffffff8125db35>] jbd2_journal_dirty_metadata+0x235/0x2b0
 RSP <ffff880161bb5cd0>
Comment 1 Josh Boyer 2013-09-18 16:35:09 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 2 Josh Boyer 2013-10-08 12:06:39 EDT
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.